com.pivotal.gemfirexd.internal.client.am

## Class SetAccessibleAction

- java.lang.Object
- - com.pivotal.gemfirexd.internal.client.am.SetAccessibleAction

All Implemented Interfaces:
  PrivilegedExceptionAction

    public class SetAccessibleAction
    extends Object
    implements PrivilegedExceptionAction

### Constructor Summary

Constructors
Constructor and Description
`SetAccessibleAction(Field field, boolean accessible)`

### Method Summary

Methods
`Object` `run()`
`void` `setAccessible(boolean accessible)`
`void` `setField(Field field)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SetAccessibleAction

    public SetAccessibleAction(Field field,
                       boolean accessible)

### Method Detail

#### run

    public Object run()

Specified by:
  `run` in interface `PrivilegedExceptionAction`

#### setAccessible

    public void setAccessible(boolean accessible)

#### setField

    public void setField(Field field)